/*Esto es para el CSS del Index*/
.header {
    margin-bottom: 30px;
}
.logo {
    width: 80px;
    height: 80px;
    margin: 0 auto 15px;
    background: url('../static/images/JP_V2.png') no-repeat center;
    background-size: contain;
    /*box-shadow: 0 4px 30px black;*/
    /* If logo doesn't exist, provide a fallback */
    background-color: rgba(102, 126, 234, 0.1);
    border-radius: 50%;
}
.subtitle {
    font-size: 14px;
    color: #000000;
}
.input-container {
    position: relative;
}
.login-button {
    width: 50%;
    padding: 12px;
    background: linear-gradient(to right, rgb(82, 54, 54), rgb(31, 29, 29));
    color: white;
    border: solid 2px black;
    border-radius: 15px;
    font-size: 16px;
    cursor: pointer;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    margin-top: 20px;
}

.login-button:hover {
    transform: translateY(-2px);
    box-shadow: 0 5px 15px rgba(102, 126, 234, 0.4);
    background: linear-gradient(to right, rgb(187, 196, 148), rgb(163, 138, 138));
    color: black;
}
.forgot-password {
    margin-top: 20px;
}

.forgot-password a {
    color: #667eea;
    text-decoration: none;
    font-size: 16px;
    transition: color 0.3s;
}

.forgot-password a:hover {
    color: #224079;
    text-decoration: underline;
}

.divider {
    display: flex;
    align-items: center;
    margin: 25px 0;
    color: #000000;
    font-size: 12px;
}

.divider::before,
.divider::after {
    content: "";
    flex: 1;
    height: 1px;
    background: #000000;
}

.divider span {
    padding: 0 15px;
}

.footer-text {
    color: #000000;
    font-size: 12px;
    margin-top: 25px;
    line-height: 1.5;
}

.login-container {
    /*background-color: rgb(187, 187, 187);*/
    background: linear-gradient(100deg, #d6dbdb 20%, #d4d6dd 50%, #c1c3caf6 100%);
    border-radius: 8px;
    box-shadow: 0 8px 30px #161818;
    width: 100%;
    max-width: 400px;
    padding: 30px;
    text-align: center;
    position: relative;
    overflow: hidden;
    margin-top: -100px; /* Add margin at the top */
}

input {
    width: 100%;
    padding: 12px;
    padding-right: 40px;
    border: 1px solid #000000;
    border-radius: 15px;
    font-size: 14px;
    transition: border 0.3s ease, transform 0.3s ease;
}



.input-icon {
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    color: #000000;
}

label{
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
    text-align: left;
    font-size: 14px;
    color: #000000;
    text-transform: uppercase;
    padding-top: 5px;
}